Bug 1249691 - zbar failed dependencies, cannot install
Summary: zbar failed dependencies, cannot install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: zbar
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Douglas Schilling Landgraf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-03 15:03 UTC by Mark
Modified: 2015-09-27 15:57 UTC (History)
5 users (show)

Fixed In Version: zbar-0.10-25.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-27 15:57:22 UTC


Attachments (Terms of Use)

Description Mark 2015-08-03 15:03:58 UTC
Description of problem: zbar will not install if ImageMagick is up to date.


Version-Release number of selected component (if applicable): zbar-0.10-7.el6.x86_64


How reproducible: Attempt to install via yum.


Steps to Reproduce:
1. yum install ImageMagick
2. yum install zbar

Actual results:
  Error: Package: zbar-0.10-7.el6.x86_64 (epel)
           Requires: libMagickWand.so.2()(64bit)
           Available: ImageMagick-6.5.4.7-5.el6.x86_64 (rhel-x86_64-server-6)
               libMagickWand.so.2()(64bit)
           Available: ImageMagick-6.5.4.7-6.el6_2.x86_64 (rhel-x86_64-server-6)
               libMagickWand.so.2()(64bit)
           Available: ImageMagick-6.5.4.7-7.el6_5.x86_64 (rhel-x86_64-server-6)
               libMagickWand.so.2()(64bit)
           Installed: ImageMagick-6.7.2.7-2.el6.x86_64 (@rhel-x86_64-server-6)
               Not found


Expected results:


Additional info:
If zbar and ImageMagick were already installed, neither can be updated.  I found that uninstalling zbar made it possible to update IM, but then zbar could not be reinstalled.

Comment 1 Fedora Update System 2015-08-14 20:12:21 UTC
zbar-0.10-25.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zbar-0.10-25.el6

Comment 2 Fedora Update System 2015-08-17 19:09:06 UTC
Package zbar-0.10-25.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing zbar-0.10-25.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7692/zbar-0.10-25.el6
then log in and leave karma (feedback).

Comment 3 Mark 2015-09-24 19:22:49 UTC
Is there any guess on how long it should take to get something like this from ON_QA status into the live repo?

Comment 4 Douglas Schilling Landgraf 2015-09-25 17:10:26 UTC
(In reply to Mark from comment #3)
> Is there any guess on how long it should take to get something like this
> from ON_QA status into the live repo?

I have pushed it to STABLE now, should happen soon.

Comment 5 Fedora Update System 2015-09-27 15:57:21 UTC
zbar-0.10-25.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.